function f=lennardJones(x) 
	%{
		This is for black-box optimisation. Therefore, we are not supposed to know
		that there are some symmetries. That is why the dimension of the problem is
		3*nb_of_atoms, as it could be smaller
	%}
	
	nbAtoms=length(x)/3;

	f=0;
	for a1=1:nbAtoms-1
		% Position of the first atom
		for d=1:3  x1(d)=x(3*(a1-1)+d); end
		
		for a2=a1+1:nbAtoms
			% Position of the second atom
			for d=1:3  x2(d)=x(3*(a2-1)+d); end

			% Distance between the two atoms
			dist=pdist([x1;x2],'euclidean');
			
			% Potential
			if(dist<=eps) zz=Inf;
			else 
				zz=dist^(-6); 
				f =f+zz*(zz-1);
			end
		end % for a2=a1+1:nbAtoms
	end % for a1=1:nbAtoms-1
	f=4*f;
end
